## dstooltk 2.0-3

=== Makefile ===
#
# Makefile for DsTool
#

          TOP = .
       CONFIG = config
  CURRENT_DIR = .
      TARFILE = dstool_tk.tar

include $(CONFIG)/Makefile.defs

      SUBDIRS = config oogl help src tcl my_dstool

  OTHER_FILES = README INSTALL VERSION bin/dstool_tk bin/dscat \
		site_specific/Prolog.ps changes

      CLEAN = bin/*~
  CLEAN_ALL = lib/*/*.a lib/*/*.o

help: FORCE
	@echo "This is DsTool's top level Makefile.  Please see README file."

World:
	$(MAKE) clean
	$(MAKE) depend
	$(MAKE) all

dist:
	@echo "make dist not yet implemented"

fileslist: FORCE
	$(RM) fileslist
	$(MAKE) listfiles

tarfile:
	$(MAKE) fileslist
	cat fileslist | tar -cvf $(TARFILE) -
	compress $(TARFILE)

include $(CONFIG)/Makefile.rules

=== help/Makefile ===
#
# Makefile
#

          TOP = ..
       CONFIG = $(TOP)/config
  CURRENT_DIR = help

include $(CONFIG)/Makefile.defs

   OTHER_SRCS = \
		dstool.txt \
		model.txt

include $(CONFIG)/Makefile.rules

=== my_dstool/Makefile ===
#
# Makefile for creating a user version of dstool
#
# Instructions:
#	Set the DSTOOL environment variable to the top of the source
#	directory structure.
#       Set the ARCH environment variable to sun4 of iris.
#
# 	"make all" - will create libraries in any subdirectories
#	"make"     - will attempt to make the executable only
#

#
# The following section should not need to be modified.
#
          TOP = $(DSTOOL)
       CONFIG = $(TOP)/config
  CURRENT_DIR = my_dstool
  INCLUDE_DIR = $(DSTOOL)/src/include

include $(CONFIG)/Makefile.defs

#
# Specify a directory and name for the executable
#

  USER_BINDIR = bin/$(ARCH)
    USER_PROG = $(USER_BINDIR)/my_dstool

#
# Add your computational code here
#
    USER_SRCS = user.c
    USER_OBJS = user.o

#
# If you put code in SUBDIRS which you would like to be made
# include the subdir name here.  It is best to compile it
# into a library in this directory under the command "make all".
# Then include this library as a USER_LIB.
#
    SUBDIRS = tcl


#
# Add any of your libraries here
#
    USER_LIBS =



#
# MODIFY BELOW HERE ONLY IF YOU DOING SOMETHING UNUSUAL!
#

         SRCS = $(USER_SRCS)
         OBJS = $(USER_OBJS)

     STD_LIBS = \
		$(LIBDIR)/libinit.a \
		$(LIBDIR)/libmodels.a \
		$(LIBDIR)/libmult.a \
		$(LIBDIR)/liborbit.a \
		$(LIBDIR)/libinteg.a \
		$(LIBDIR)/libiter.a \
		$(LIBDIR)/libalg.a \
		$(LIBDIR)/libfixed.a \
		$(LIBDIR)/libcont.a \
		$(LIBDIR)/libbifmodes.a \
		$(LIBDIR)/libbrowser.a \
		$(LIBDIR)/libsvld.a \
		$(LIBDIR)/libparser.a \
		$(LIBDIR)/libpo.a \
		$(LIBDIR)/libpm.a \
		$(LIBDIR)/libview.a \
		$(LIBDIR)/libmem.a \
		$(LIBDIR)/libutil.a \
		$(LIBDIR)/libmutil.a \
		$(LIBDIR)/libeigen.a

     STD_OBJS = $(LIBDIR)/tkAppInit.o version.o

    OTHER_FILES = README rgb_color.txt GENERIC.c bin/dstool_tk 

$(USER_PROG) : Makefile $(USER_OBJS) $(USER_LIBS) $(STD_OBJS) $(STD_LIBS)
	@$(MKDIRHIER) $(USER_BINDIR)
	$(CC) $(ALL_FLAGS) -o $(USER_PROG) $(STD_OBJS) $(USER_OBJS) $(STD_LIBS) $(USER_LIBS) $(ALL_LIBS)

version.c: FORCE
	@echo "/* FILE AUTOMATICALLY CREATED - manual edits will be lost */" > version.c
	@echo "#include \"version.h\"" >> version.c
	@echo "char PROGRAM_TITLE[] = \"DsTool(user)\";" >> version.c
	@echo "char VERSION[] = \"USER DsTool for $(ARCH), Version" `cat $(DSTOOL)/VERSION`"\";" >> version.c
	@echo "char BUILD_INFO[] = \"Built by $(USER)@$(HOST), `date`\";" >> version.c

include $(CONFIG)/Makefile.rules

clean::
	$(RM) version.c

all:: $(USER_PROG)

=== oogl/Makefile ===
#
# Makefile
#

          TOP = ..
       CONFIG = $(TOP)/config
  CURRENT_DIR = oogl

include $(CONFIG)/Makefile.defs

     OOGL_SRCS = \
		central.oogl \
		dbl_pendulum.oogl \
		pendulum.oogl \
		restrict3.oogl

  OTHER_SRCS = $(OOGL_SRCS)

include $(CONFIG)/Makefile.rules

=== tcl/Makefile ===
#
# Makefile
#

          TOP = ..
       CONFIG = $(TOP)/config
  CURRENT_DIR = tcl

include $(CONFIG)/Makefile.defs

   MKINDEX = mkindex.tcl
  TCL_SRCS = app_init.tcl pm.tcl save.tcl load.tcl utils.tcl my_app_init.tcl
   TK_SRCS = app_init.tk utils.tk windows.tk \
		cmd.tk selected.tk function.tk defaults.tk \
		help.tk version.tk \
		save.tk load.tk twoD.tk oneD.tk \
		orbits.tk prop.tk multiple.tk fixed.tk \
		browser.tk periodic.tk geomview.tk \
		parser.tk ccode.tk threeD.tk \
                var.tk print.tk snap.tk html.tk dscolor.tk scroll.tk \
		filesl.tk continuation.tk contstate.tk contcolors.tk
#		 widget_util.tcl \

   CLEAN = $(MKINDEX)
   CLEAN_ALL =  tclIndex

OTHER_SRCS = $(TCL_SRCS) $(TK_SRCS) dstool.xbm darrow.xbm uarrow.xbm

all:: tclIndex

tclIndex: $(MKINDEX) $(TCL_SRCS) $(TK_SRCS)
	$(TCLSH) $(MKINDEX)

$(MKINDEX): Makefile
	echo "auto_mkindex . $(TCL_SRCS) $(TK_SRCS)" > $(MKINDEX)

include $(CONFIG)/Makefile.rules

=== src/browser/Makefile ===
#
# Makefile for library
#

         TOP = ../..
      CONFIG = $(TOP)/config
 CURRENT_DIR = src/browser
 INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libbrowser.a
      SRCS = br_install.c browser.c
      OBJS = br_install.o browser.o

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/eigen/Makefile ===
#
# Makefile for library
#

         TOP = ../..
      CONFIG = $(TOP)/config
 CURRENT_DIR = src/eigen
 INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libeigen.a
      SRCS = balanc.c balbak.c elmhes.c eltran.c hqr.c hqr2.c rg.c \
		cdiv.c 
      OBJS = balanc.o balbak.o elmhes.o eltran.o hqr.o hqr2.o rg.o \
		cdiv.o 

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/include/Makefile ===
#
# Makefile
#

          TOP = ../..
       CONFIG = $(TOP)/config
  CURRENT_DIR = src/include
  INCLUDE_DIR = .

include $(CONFIG)/Makefile.defs

      FILES_H = \
		complib.h \
		constants.h \
		continue.h \
		defaults.h \
		dscolor.h \
		dstool.h \
		eigen.h \
		fixed.h \
		flow.h \
		history.h \
		iterate.h \
		manifold.h \
		math_utils.h \
		memory.h \
		model_headers.h \
		modellib.h \
		mult.h \
		mult_proj.h \
		pm.h \
		plot.h \
		prop.h \
		print.h \
		saveload.h \
		symbols.h \
		tcl_dstool.h \
		tkPlot.h \
		utilities.h \
		version.h \
		view.h


  OTHER_SRCS = $(FILES_H) ds_define.c


include $(CONFIG)/Makefile.rules

=== src/mult/Makefile ===
#
# Makefile for library
#

         TOP = ../..
      CONFIG = $(TOP)/config
 CURRENT_DIR = src/mult
 INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libmult.a
      SRCS = mult_install.c mult_go.c mult_proj.c
      OBJS = mult_install.o mult_go.o mult_proj.o
     FLAGS = $(PVM)

OTHER_SRCS = mult_local.h

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/orbit/Makefile ===
#
# Makefile for library
#

         TOP = ../..
      CONFIG = $(TOP)/config
 CURRENT_DIR = src/orbit
 INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = liborbit.a
      SRCS = flow_install.c flow.c load_int.c prop_def.c symbols_def.c \
		traj_mem_orb.c compute_orb.c prop_install.c
      OBJS = flow_install.o flow.o load_int.o prop_def.o symbols_def.o \
		traj_mem_orb.o compute_orb.o prop_install.o

   INCLUDE_FILES =

   SUBDIRS = algorithms integration iteration
     FLAGS = $(PVM)	

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/postmaster/Makefile ===
#
# Makefile
#

          TOP = ../..
       CONFIG = $(TOP)/config
  CURRENT_DIR = src/postmaster
  INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libpm.a

      SRCS = pm.c pm_access.c pm_build.c pm_hash.c pm_utils.c pm_tcl.c
      OBJS = pm.o pm_access.o pm_build.o pm_hash.o pm_utils.o pm_tcl.o

OTHER_SRCS = pm_hash.h pm_error_codes.h

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/saveload/Makefile ===
#
# Makefile for library
#

         TOP = ../..
      CONFIG = $(TOP)/config
 CURRENT_DIR = src/saveload
 INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libsvld.a
       SRCS = load.c save.c write_mem.c load_procs.c save_procs.c unform.c \
	      print.c \
	      print_procs.c symb_convert.c twod_install.c
      OBJS = load.o save.o write_mem.o load_procs.o save_procs.o unform.o \
	      print.o \
	      print_procs.o symb_convert.o twod_install.o
   INCLUDE = -I../postmaster

OTHER_SRCS = saveload_def.h pm_main.h saveload_local.h

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== debian/changelog ===
dstooltk (2.0-3) unstable frozen; urgency=low

  * recompile with libc6 2.0.7u-7

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  3 Dec 1998 01:54:50 -0700
	

dstooltk (2.0-2) unstable frozen; urgency=low

  * recompile with libc6 2.0.7u-6

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  3 Dec 1998 01:54:50 -0700

dstooltk (2.0-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri,  4 Sep 1998 17:42:03 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "lapeyre@physics.arizona.edu"
End:

=== debian/control ===
Source: dstooltk
Section: math
Priority: optional
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.3.0.1

Package: dstooltk
Architecture: any
Depends:  ${shlibs:Depends}
Recommends: dstooltk-doc, geomview
Suggests: dstool-doc, dstool
Description: dynamical systems investigation; tk version
 dstool with a tk front end.
 dstool is a tool for the investigation of
 dynamical systems. It is an efficient research tool 
 that integrates a friendly graphical user 
 interface, data management capabilities, 
 a rich set of numerical algorithms together 
 with the  flexibility to add more algorithms
 and communicate data with other programs.

=== debian/rules ===
#!/usr/bin/make -f
# ssystem debian build rules
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
 
package=dstooltk

INSTALL=/usr/bin/install

# keep other-arch guys happy
CC := $(shell if [ -x /usr/bin/egcc ]; then echo egcc; else echo cc; fi)

build:
	$(checkdir)
	export DSTOOL=`pwd`; export ARCH=linux \
	make CC=$(CC) depend;  \
	make CC=$(CC) all; 


clean:
	$(checkdir)
	-rm -f build
	export DSTOOL=`pwd`; export ARCH=linux; make clean
	-rm lib/linux/* bin/linux/dstool_tk my_dstool/bin/linux/my_dstool
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot
	$(checkdir)
	-rm -rf debian/tmp

#  Install directories
	$(INSTALL) -d debian/tmp/usr/bin
	$(INSTALL) -d debian/tmp/usr/man/man1
	$(INSTALL) -d debian/tmp/usr/doc/$(package)
	$(INSTALL) -d debian/tmp/usr/lib/$(package)
	$(INSTALL) -d debian/tmp/usr/lib/$(package)/libraries
	$(INSTALL) -d debian/tmp/usr/lib/$(package)/bin
	$(INSTALL) -d debian/tmp/DEBIAN


#  Strip

	strip --strip-unneeded bin/linux/dstool_tk

# Install

	cp debian/dstooltk.sh debian/tmp/usr/bin/dstooltk
	chmod 755 debian/tmp/usr/bin/*
	mkdir debian/tmp/usr/lib/$(package)/bin/linux/
	$(INSTALL) -m 755 bin/linux/* debian/tmp/usr/lib/$(package)/bin/linux/.
	cp -r oogl help tcl debian/tmp/usr/lib/$(package)
	chmod 644 debian/tmp/usr/lib/$(package)/help/*
	mkdir debian/tmp/usr/lib/$(package)/src
	cp -r src/models debian/tmp/usr/lib/$(package)/src
	cp debian/dstooltk.1 debian/tmp/usr/man/man1/dstooltk.1
	-gzip -9fv debian/tmp/usr/man/man1/*

# Install supplied docs

# Install docs in proper directory and gzip them
#

	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(package)
	$(INSTALL) -m 644 README debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cp changes debian/tmp/usr/doc/$(package)/changelog
	-gzip -9fv debian/tmp/usr/doc/$(package)/*



# don't gzip these
#
	cp debian/copyright debian/tmp/usr/doc/$(package)/copyright


	   dpkg-shlibdeps debian/tmp/usr/lib/$(package)/bin/linux/*
	   dpkg-gencontrol
	   chown -R root.root debian/tmp
	   chmod -R go=rX debian/tmp
	   dpkg --build debian/tmp ..



define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## dstooltk 2.0-4

=== config/Makefile ===
#
# Makefile
#

          TOP = ..
       CONFIG = .
  CURRENT_DIR = config

include $(CONFIG)/Makefile.defs

  OTHER_SRCS = \
		site.def \
		Makefile.defs \
		Makefile.rules \
		Makedefs.iris \
		Makedefs.sun4 \
		Makedefs.linux \
		Makedefs.solaris

include $(CONFIG)/Makefile.rules

=== src/Makefile ===
#
# Makefile
#

          TOP = ..
       CONFIG = $(TOP)/config
  CURRENT_DIR = src
  INCLUDE_DIR = include

include $(CONFIG)/Makefile.defs

      SUBDIRS = include \
		init models parser user saveload view \
		postmaster memory \
		orbit mult browser fixed \
		porbit \
		utilities math_utilities eigen cont

      PROGNAME = dstool_tk

     PROG = $(BINDIR)/$(PROGNAME)

        SRC1 = tkAppInit.c
        OBJ1 = tkAppInit.o

         SRCS = $(SRC1)
         OBJS = $(OBJ1) version.o

        LIBS1 = \
		$(LIBDIR)/libinit.a \
		$(LIBDIR)/libmodels.a \
		$(LIBDIR)/libmult.a \
		$(LIBDIR)/liborbit.a \
		$(LIBDIR)/libinteg.a \
		$(LIBDIR)/libiter.a \
		$(LIBDIR)/libalg.a \
		$(LIBDIR)/libfixed.a \
		$(LIBDIR)/libcont.a \
		$(LIBDIR)/libbifmodes.a \
		$(LIBDIR)/libbrowser.a \
		$(LIBDIR)/libsvld.a \
		$(LIBDIR)/libparser.a \
		$(LIBDIR)/libpo.a

    USER_LIBS = \
		$(LIBDIR)/libuser.a

        LIBS2 = \
		$(LIBDIR)/libpm.a \
		$(LIBDIR)/libview.a \
		$(LIBDIR)/libmem.a \
		$(LIBDIR)/libutil.a \
		$(LIBDIR)/libmutil.a \
		$(LIBDIR)/libeigen.a


$(PROGNAME):
	make $(PROG)

$(PROG) : Makefile version.o $(LIBDIR)/$(OBJ1) $(LIBS1) $(USER_LIBS) $(LIBS2)
	@$(MKDIRHIER) $(BINDIR)
	$(CC) $(ALL_FLAGS) -o $(PROG) version.o $(LIBDIR)/$(OBJ1) $(LIBS1) $(USER_LIBS) $(LIBS2) $(ALL_LIBS)

version.c: FORCE
	@echo "#include \"version.h\"" > version.c
	@echo "char PROGRAM_TITLE[] = \"DsTool\";" >> version.c
	@echo "char VERSION[] = \"DsTool for $(ARCH), Version" `cat ../VERSION`"\";" >> version.c
	@echo "char BUILD_INFO[] = \"Built by $(USER)@$(HOST), `date`\";" >> version.c

all:: $(OBJ1)
	@$(MKDIRHIER) $(LIBDIR)
	$(CP) $(OBJ1) $(LIBDIR)

include $(CONFIG)/Makefile.rules

all:: $(PROG)

=== my_dstool/tcl/Makefile ===
#
# Makefile
#

          TOP = $(DSTOOL)
       CONFIG = $(TOP)/config
  CURRENT_DIR = my_dstool/tcl

include $(CONFIG)/Makefile.defs

   MKINDEX = mkindex.tcl
  TCL_SRCS = my_app_init.tcl
   TK_SRCS = 

   CLEAN = $(MKINDEX) tclIndex

OTHER_SRCS = $(TCL_SRCS) $(TK_SRCS) 

all:: tclIndex

tclIndex: $(MKINDEX) $(TCL_SRCS) $(TK_SRCS)
	$(TCLSH) $(MKINDEX)

$(MKINDEX): Makefile
	echo "auto_mkindex . $(TCL_SRCS) $(TK_SRCS)" > $(MKINDEX)

include $(CONFIG)/Makefile.rules

=== src/cont/Makefile ===

#
# Makefile for library
#

          TOP = ../..
       CONFIG = $(TOP)/config
  CURRENT_DIR = src/cont
  INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libcont.a

      SRCS = cont_install.c cont_proc.c coqual.c corect.c \
	        pitcon.c root.c tangnt.c cont_state.c dslv.c \
		cont_utilities.c 
  
      OBJS = cont_install.o cont_proc.o coqual.o corect.o \
                pitcon.o root.o tangnt.o cont_state.o dslv.o \
		cont_utilities.o
      
   OTHER_SRCS = cont_defaults.h continue_def.h

   SUBDIRS = Bif_Modes  

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/fixed/Makefile ===
#
# Makefile for library
#

         TOP = ../..
      CONFIG = $(TOP)/config
 CURRENT_DIR = src/fixed
 INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libfixed.a
      SRCS = fixed_install.c fp_init.c fp_compute.c fp_eval.c \
		fp_get_type.c mnewt.c msecant.c fp_jac.c fp_get_atts.c \
		fp_1dman.c trkman_map.c trkman_ode.c
      OBJS = fixed_install.o fp_init.o fp_compute.o fp_eval.o \
		fp_get_type.o mnewt.o msecant.o fp_jac.o fp_get_atts.o \
		fp_1dman.o trkman_map.o trkman_ode.o

INCLUDE_FILES = fixed_local.h

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/init/Makefile ===
#
# Makefile
#

          TOP = ../..
       CONFIG = $(TOP)/config
  CURRENT_DIR = src/init
  INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libinit.a

    SRCS1 = app_init.c dstool_init.c decode_cmd.c sys_install.c
    OBJS1 = app_init.o dstool_init.o decode_cmd.o sys_install.o
    SRCS2 = stop.c control.c defaults.c manifold.c memory.c
    OBJS2 = stop.o control.o defaults.o manifold.o memory.o
    SRCS3 = model_install.c selected.c color.c gv_install.c
    OBJS3 = model_install.o selected.o color.o gv_install.o

     SRCS = $(SRCS1) $(SRCS2) $(SRCS3)
     OBJS = $(OBJS1) $(OBJS2) $(OBJS3)

INCLUDE_FILES = init_local.h

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/math_utilities/Makefile ===
#
# Makefile
#

          TOP = ../..
       CONFIG = $(TOP)/config
  CURRENT_DIR = src/math_utilities
  INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libmutil.a

     SRCS1 = blas.c dmatrix.c dvector.c history.c imatrix.c ivector.c
     OBJS1 = blas.o dmatrix.o dvector.o history.o imatrix.o ivector.o

     SRCS2 = jacobian.c manifold.c random.c vector.c
     OBJS2 = jacobian.o manifold.o random.o vector.o

     SRCS3 = ludcmp.c lubksb.c
     OBJS3 = ludcmp.o lubksb.o
 
      SRCS = $(SRCS1) $(SRCS2) $(SRCS3)
      OBJS = $(OBJS1) $(OBJS2) $(OBJS3)

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/memory/Makefile ===
#
# Makefile
#

          TOP = ../..
       CONFIG = $(TOP)/config
  CURRENT_DIR = src/memory
  INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libmem.a

      SRCS = mem_prims.c memory.c
      OBJS = mem_prims.o memory.o

OTHER_SRCS = memory_local.h

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/models/Makefile ===
#
# Makefile
#

          TOP = ../..
       CONFIG = $(TOP)/config
  CURRENT_DIR = src/models
  INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libmodels.a

     SRCS1 = models.c modellib_def.c
     OBJS1 = models.o modellib_def.o

     SRCS2 = cubic_def.c d3_symm_def.c d4_def.c db_toroid_def.c
     OBJS2 = cubic_def.o d3_symm_def.o d4_def.o db_toroid_def.o

     SRCS3 = duffing_def.c fw_def.c four_parm_def.c henon_def.c
     OBJS3 = duffing_def.o fw_def.o four_parm_def.o henon_def.o

     SRCS4 = hh_def.c kotmap_def.c logistic_def.c
     OBJS4 = hh_def.o kotmap_def.o logistic_def.o

     SRCS5 = lorenz_def.c mathieu_def.c pend1d_def.c
     OBJS5 = lorenz_def.o mathieu_def.o pend1d_def.o

     SRCS6 = pert_dt_def.c rla_def.c smp_torus_def.c
     OBJS6 = pert_dt_def.o rla_def.o smp_torus_def.o

     SRCS7 = standard_def.c symm_red_def.c vdpol_def.c z2z2_def.c
     OBJS7 = standard_def.o symm_red_def.o vdpol_def.o z2z2_def.o

     SRCS8 = dbl_pend_def.c central_def.c restrict3pl_def.c restrict3rpl_def.c
     OBJS8 = dbl_pend_def.o central_def.o restrict3pl_def.o restrict3rpl_def.o

     SRCS9 = plate_def.c fixed_top_def.c
     OBJS9 = plate_def.o fixed_top_def.o

      SRCS = $(SRCS1) $(SRCS2) $(SRCS3) $(SRCS4) $(SRCS5) $(SRCS6) \
		$(SRCS7) $(SRCS8) $(SRCS9)
      OBJS = $(OBJS1) $(OBJS2) $(OBJS3) $(OBJS4) $(OBJS5) $(OBJS6) \
		$(OBJS7) $(OBJS8) $(OBJS9)

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/parser/Makefile ===
#
# Makefile
#

          TOP = ../..
       CONFIG = $(TOP)/config
  CURRENT_DIR = src/parser
  INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libparser.a

     SRCS = parser_main.c parser_ops.c parser_prims.c sign.c parser_inst.c \
	parser_ds_def.c
     OBJS = parser_main.o parser_ops.o parser_prims.o sign.o parser_inst.o \
	parser_ds_def.o

OTHER_SRCS = parser_defs.h parser.h parser_ops.h parser_prims.h
OTHER_FILES = parser.txt

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/porbit/Makefile ===
#
# Makefile for library
#

         TOP = ../..
      CONFIG = $(TOP)/config
 CURRENT_DIR = src/porbit
 INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libpo.a
      SRCS = po_install.c porbit_go.c
      OBJS = po_install.o porbit_go.o

OTHER_SRCS = porbit.h


all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== src/user/Makefile ===
#
# Makefile
#

          TOP = ../..
       CONFIG = $(TOP)/config
  CURRENT_DIR = src/user
  INCLUDE_DIR = ../include

include $(CONFIG)/Makefile.defs

  LIB_NAME = libuser.a

      SRCS = user.c lor_cntrl_def.c
      OBJS = user.o lor_cntrl_def.o

all:: $(LIB_NAME) install

include $(CONFIG)/Makefile.rules

=== debian/changelog ===
dstooltk (2.0-4) unstable; urgency=low

  * Changed the maintainer to Debian QA Team <packages@qa.debian.org>.
  * Updated the build dependencies for XFree4. (closes: #96034)

 -- Adrian Bunk <bunk@fs.tum.de>  Wed, 22 Aug 2001 20:07:30 +0200

dstooltk (2.0-3.2) unstable; urgency=low

  * NMU
  * Made the FSSTND -> FHS transition. (Closes: #91426)

 -- Carlos Laviola <claviola@ajato.com.br>  Sun, 15 Apr 2001 18:26:33 -0300

dstooltk (2.0-3.1) unstable; urgency=low

  * NMU by Branden Robinson <branden@debian.org>.
  * Recompile against modern xpm4g package to get proper shared library
    dependency and permit this package to be installed with forthcoming
    XFree86 4.x packages, which include libXpm.
  * debian/control: added Build-Depends

 -- Branden Robinson <branden@debian.org>  Thu, 26 Oct 2000 04:29:39 +0300

=== debian/control ===
Source: dstooltk
Section: math
Priority: optional
Maintainer: Debian QA Team <packages@qa.debian.org>
Build-Depends: xlibs-dev, xutils, tcl8.0-dev, tk8.0-dev
Standards-Version: 3.5.2

Package: dstooltk
Architecture: any
Depends: ${shlibs:Depends}
Recommends: dstooltk-doc, geomview
Suggests: dstool-doc, dstool
Description: dynamical systems investigation (Tk version)
 dstool with a Tk front end.
 .
 dstool is a tool for the investigation of dynamical systems. It is an
 efficient research tool that integrates a friendly graphical user interface,
 data management capabilities, a rich set of numerical algorithms together
 with the  flexibility to add more algorithms and communicate data with other
 programs.

=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,8 @@
 
 #  Install directories
 	$(INSTALL) -d debian/tmp/usr/bin
-	$(INSTALL) -d debian/tmp/usr/man/man1
-	$(INSTALL) -d debian/tmp/usr/doc/$(package)
+	$(INSTALL) -d debian/tmp/usr/share/man/man1
+	$(INSTALL) -d debian/tmp/usr/share/doc/$(package)
 	$(INSTALL) -d debian/tmp/usr/lib/$(package)
 	$(INSTALL) -d debian/tmp/usr/lib/$(package)/libraries
 	$(INSTALL) -d debian/tmp/usr/lib/$(package)/bin
@@ -54,34 +54,35 @@
 	cp debian/dstooltk.sh debian/tmp/usr/bin/dstooltk
 	chmod 755 debian/tmp/usr/bin/*
 	mkdir debian/tmp/usr/lib/$(package)/bin/linux/
-	$(INSTALL) -m 755 bin/linux/* debian/tmp/usr/lib/$(package)/bin/linux/.
+	$(INSTALL) -s -m 755 bin/linux/* debian/tmp/usr/lib/$(package)/bin/linux/.
+	$(INSTALL) debian/postinst debian/prerm debian/tmp/DEBIAN
 	cp -r oogl help tcl debian/tmp/usr/lib/$(package)
 	chmod 644 debian/tmp/usr/lib/$(package)/help/*
 	mkdir debian/tmp/usr/lib/$(package)/src
 	cp -r src/models debian/tmp/usr/lib/$(package)/src
-	cp debian/dstooltk.1 debian/tmp/usr/man/man1/dstooltk.1
-	-gzip -9fv debian/tmp/usr/man/man1/*
+	cp debian/dstooltk.1 debian/tmp/usr/share/man/man1/dstooltk.1
+	-gzip -9fv debian/tmp/usr/share/man/man1/*
 
 # Install supplied docs
 
 # Install docs in proper directory and gzip them
 #
 
-	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(package)
-	$(INSTALL) -m 644 README debian/tmp/usr/doc/$(package)/.
-	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
-	cp changes debian/tmp/usr/doc/$(package)/changelog
-	-gzip -9fv debian/tmp/usr/doc/$(package)/*
+	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/share/doc/$(package)
+	$(INSTALL) -m 644 README debian/tmp/usr/share/doc/$(package)/.
+	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
+	cp changes debian/tmp/usr/share/doc/$(package)/changelog
+	-gzip -9fv debian/tmp/usr/share/doc/$(package)/*
 
 
 
 # don't gzip these
 #
-	cp debian/copyright debian/tmp/usr/doc/$(package)/copyright
+	cp debian/copyright debian/tmp/usr/share/doc/$(package)/copyright
 
 
 	   dpkg-shlibdeps debian/tmp/usr/lib/$(package)/bin/linux/*
-	   dpkg-gencontrol
+	   dpkg-gencontrol -is -ip
 	   chown -R root.root debian/tmp
 	   chmod -R go=rX debian/tmp
 	   dpkg --build debian/tmp ..
